# AWS Workspaces アプリケーション

Amazon WorkSpaces アプリケーションは、専用の永続デスクトップを提供することなく、ブラウザまたはクライアントを使用するユーザーに AWS から集中管理されたアプリケーションまたは非永続デスクトップセッションを配信する、フルマネージドのアプリケーションストリーミングサービスです。

{% stepper %}
{% step %}
**コネクタを設定**

Nexthink を構成して、セッションメタデータを取り込むために AWS WorkSpaces アプリケーションに接続します。 この手順により、VDI Experience モジュール内のインサイトを強化するためのコンテキストデータが利用可能になります。

コネクタを設定するには、[https://github.com/nexthink/documentation.online-product-documentation/blob/develop/ja\_docs/configuring\_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-aws-workspaces.md](https://github.com/nexthink/documentation.online-product-documentation/blob/develop/ja_docs/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-aws-workspaces.md "mention")に記載されている手順を実行してください。
{% endstep %}

{% step %}
**VM に Collector をインストール**

**手動または自動デプロイ**

**Fleet** をデプロイするために使用される **Image** に、Collector を標準エージェントとしてインストールします。

このシナリオでは、次のドキュメントに記載されている手順を実行します。

1. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [Windows上でのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1)
   {% endstep %}

{% step %}
**コネクタと Collector のテスト**

**コネクタ**

次のフィールドを確認することで、コネクタ統合によってデバイスおよびセッションデータが拡張されていることを確認します。

* ディスクイメージ
* デスクトッププール
* 仮想化タイプ

拡張をテストするには、Collector が VM にインストールされ、正常に動作していることを確認します。 対象のデバイスが報告されているか、表示される値が期待どおりであるかを、次のクエリを実行して確認します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == aws_appstream
| list name, hardware.type, virtualization.disk_image, virtualization.desktop_pool, virtualization.environment_name, virtualization.hypervisor_name, virtualization.type, virtualization.last_update
| sort virtualization.last_update desc
```

{% endcode %}

クエリの実行について詳しくは、[Investigations](/platform/ja/user-guide/investigations.md) ドキュメントをご覧ください。

**VM 上の Collector**

{% hint style="info" %}
必要に応じて、Nexthink サポートまたは担当の Nexthink 代表者にお問い合わせください。
{% endhint %}

Nexthink に次のようなデータが表示されていることを確認します。

* デバイス ID
* ユーザー名

これを確認するには、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
vdi_sessions
| where device.virtualization.desktop_broker == aws_appstream
| list vdi_session.name, user.name, device.name, first_seen
| sort first_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/aws-workspaces-applications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
